Update ProFTPd to 1.3.3d

Use the newest ProFTPd Version! Compilation for 1.3.3e is the same as for 1.3.3d

Cause of some security issues I’ve decided to upgrade my ProFTPd Service from 1.3.1 to 1.3.3d.

Do a Backup of your current proftpd configuration Directory /etc/proftpd
cp -rfp /etc/proftpd /var/backups/etc/

Then purge the actual proftpd installation
apt-get purge proftpd-basic proftpd-mod-mysql

I’m running proftpd with virtual users on a mysql database with mod_quota, so we have to install the needed libraries for the compilation of the proftpd.

apt-get install libssl-dev libmysqlclient-dev libmysqlclient15-dev libwrap0-dev

get the stable and newest version of proftpd
cd /tmp
wget ftp://ftp1.at.proftpd.org/ProFTPD/distrib/source/proftpd-1.3.3d.tar.gz
tar -xf proftpd-1.3.3d.tar.gz
cd proftpd-1.3.3d.tar.gz

at this point, we’re beginning with the compilation of the proftpd version 1.3.3d. Copy the content of this file in your command line and press enter. U see, that it generates a run.sh file. Run chmod 777 on run.sh

Now run it:
./run.sh

after run.sh has finished, go on with make…
make

if there were no errors, add the user proftpd and then install it
useradd proftpd
make install

if the install has finished, copy the content of this file to /etc/default/proftpd

Cause we used the same configurations like the official Debian package, we can now use their init script.
copy the content of this file to /etc/init.d/proftpd and make it runnable (chmod 755 /etc/init.d/proftpd)

copy the backup from /var/backups/etc/proftpd back to /etc/proftpd and try to start the service.

Post your log files, if your proftpd won’t start.